ChangeSet 1.1259, 2003/06/18 16:55:52-07:00, hanno@gmx.de

[PATCH] USB: Patch for Vivicam 355


 drivers/usb/storage/unusual_devs.h |    8 ++++++++
 1 files changed, 8 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Wed Jun 18 17:34:49 2003
+++ b/drivers/usb/storage/unusual_devs.h	Wed Jun 18 17:34:49 2003
@@ -412,6 +412,14 @@
 		US_SC_SCSI, US_PR_BULK, NULL,
 		US_FL_FIX_INQUIRY ),
 
+/* Reported by Hanno Boeck <hanno@gmx.de>
+ * Taken from the Lycoris Kernel */
+UNUSUAL_DEV(  0x0636, 0x0003, 0x0000, 0x9999,
+		"Vivitar",
+		"Vivicam 35Xx",
+		US_SC_SCSI, US_PR_BULK, NULL,
+		US_FL_FIX_INQUIRY | US_FL_MODE_XLATE),
+
 UNUSUAL_DEV(  0x0644, 0x0000, 0x0100, 0x0100, 
 		"TEAC",
 		"Floppy Drive",
